Subject: bug#11039: 24.0.94; Window incorrectly getting selected

From: martin rudalics <[email-masked]>
Date: Mon, 19 Mar 2012 08:56:55 +0100

> Ah, I didn't remember the existence of this variable.  What's the
 > rationale?  I went back and searched emacs-devel, and couldn't find any
 > relevant discussion.  The behavior seems rather counter-intuitive.

When the help window is one out of three windows on a frame and you do
_not_ select it, it's quite difficult to restore the state of the frame
before showing help.  You would have to (1) manually switch to the help
window, (2) type "q" in it, and maybe (3) switch back to the previously
selected window.  If, however, you _do_ select the help window, you can
simply type "q" in it and get back the old state of affairs.

The more problematic case occurs rather when there are only two windows
and help reuses the other window.  In this case the default value of
`help-window-select' means you have to manually switch to that other
window and type "q" there.

martin